Package com.arms.api.report.export_service.exception

## Class ReportExceptionHandler

- java.lang.Object
- - com.arms.api.report.export_service.exception.ReportExceptionHandler

-     @RestControllerAdvice(basePackages="com.arms.api.report.export_service")
      public class ReportExceptionHandler
      extends java.lang.Object

  리포트 전역 예외 핸들러
  Since:
    25.12.03

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReportExceptionHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<ReportExportResponse>` | `handleGenericException​(java.lang.Exception e)` |
    `org.springframework.http.ResponseEntity<ReportExportResponse>` | `handleReportExportException​(ReportExportException e)` |
    `org.springframework.http.ResponseEntity<ReportExportResponse>` | `handleTemplateNotFound​(TemplateNotFoundException e)` |
    `org.springframework.http.ResponseEntity<ReportExportResponse>` | `handleValidationException​(org.springframework.web.bind.MethodArgumentNotValidException e)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportExceptionHandler

          public ReportExceptionHandler()

  - ### Method Detail

    - #### handleTemplateNotFound

          @ExceptionHandler(TemplateNotFoundException.class)
          public org.springframework.http.ResponseEntity<ReportExportResponse> handleTemplateNotFound​(TemplateNotFoundException e)

    - #### handleReportExportException

          @ExceptionHandler(ReportExportException.class)
          public org.springframework.http.ResponseEntity<ReportExportResponse> handleReportExportException​(ReportExportException e)

    - #### handleValidationException

          @ExceptionHandler(org.springframework.web.bind.MethodArgumentNotValidException.class)
          public org.springframework.http.ResponseEntity<ReportExportResponse> handleValidationException​(org.springframework.web.bind.MethodArgumentNotValidException e)

    - #### handleGenericException

          @ExceptionHandler(java.lang.Exception.class)
          public org.springframework.http.ResponseEntity<ReportExportResponse> handleGenericException​(java.lang.Exception e)